Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002918 [JEDI VCL] 00 JVCL Components minor always 2005-04-28 02:23 2005-05-24 06:47
Reporter borzov View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002918: Bad drawing of the TjvSpeedButton when XP themes are enabled
Description There is a bug with TJvSpeedButton drawing when XP themes are enabled, which results in background been painted black. See the attached screenshot (buttons 1, 9 and 11; the others are TSpeedButton and they are drawn correctly)
Additional Information
Tags No tags attached.
Attached Files gif file icon buttons.gif [^] (1,845 bytes) 2005-04-28 02:23

- Relationships
parent of 0002999resolvedAHUser Bad drawing of the TjvSpeedButton when XP themes are enabled (after fixing 0002918) 

-  Notes
(0007080)
anonymous (viewer)
2005-04-28 15:07

I think i had a similar problem with Action mamanger and a workaround is putting DoubleBufferd of the form to true..
(0007305)
ppm (reporter)
2005-05-23 07:19

drawing is bad often when Transparent=False - with Transparent=True looks good - test on D9
(0007318)
AHUser (developer)
2005-05-23 13:09

Does it help when you add the following line to procedure TJvCustomSpeedButton.WMPaint(var Msg: TWMPaint); ?


     SaveBitmap := SelectObject(MemDC, MemBitmap);
     try
+ BitBlt(MemDC, 0, 0, Width, Height, Msg.DC, 0, 0, SRCCOPY);
       DC := Msg.DC;
(0007327)
ppm (reporter)
2005-05-23 23:47

i confirm - now looks good
regards
(0007334)
AHUser (developer)
2005-05-24 06:47

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2005-04-28 02:23 borzov New Issue
2005-04-28 02:23 borzov File Added: buttons.gif
2005-04-28 02:24 borzov Issue Monitored: borzov
2005-04-28 15:07 anonymous Note Added: 0007080
2005-05-23 06:46 ppm Issue Monitored: ppm
2005-05-23 07:19 ppm Note Added: 0007305
2005-05-23 13:09 AHUser Note Added: 0007318
2005-05-23 13:10 AHUser Status new => feedback
2005-05-23 23:47 ppm Note Added: 0007327
2005-05-24 06:47 AHUser Status feedback => resolved
2005-05-24 06:47 AHUser Resolution open => fixed
2005-05-24 06:47 AHUser Assigned To => AHUser
2005-05-24 06:47 AHUser Note Added: 0007334
2005-05-27 06:28 obones Relationship added parent of 0002999
2005-09-27 11:23 ppm Issue End Monitor: ppm


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker